<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
$pg_name="Multiple_edits";

// CHECK LOGIN

if (!isset($_SESSION['qtgAuth'])) header("Location: login.php");
if ($_SESSION['qtgAuth']!='yes') header("Location: login.php");

require_once('bin/qtg_init.php');
include($qtg_language.'/qtg_lang_adm.php');
$qtg_skin='admin';

// --------
// SUBMITTED
// --------

if (isset($_POST['ok']))
{
  // check form value
  $FFyear   = $_POST['FFyear'];
  $FFmonth  = $_POST['FFmonth'];
  $FFip     = strip_tags(trim($_POST['FFip']));
  $FFaction = $_POST['FFaction'];
  if ( $FFaction=='Export' )

  // count impacted rows
  $strWhere = 'id >= 0';
  if ( $FFyear!='all' )
  {
    switch( $oDB->type )
    {
    case 'mysql': $strWhere = "YEAR(postdate)=$FFyear"; break;
    case 'mssql': $strWhere = "DATEPART(Yy,postdate)=$FFyear"; break;
    case 'pg':    $strWhere = "EXTRACT(year FROM postdate)=$FFyear"; break;
    case 'ibase': $strWhere = "EXTRACT(YEAR FROM postdate)=$FFyear"; break;
    case 'sqlite':$strWhere = "SUBSTR(postdate,1,4)='$FFyear'"; break;
    case 'access':$strWhere = "YEAR(postdate)=$FFyear"; break;
    case 'db2':   $strWhere = "YEAR(postdate)=$FFyear"; break;
    case 'ifx':   $strWhere = "postdate YEAR TO YEAR = $FFyear"; break;
    case 'oci':   $strWhere = "SUBSTR(postdate,1,4)='$FFyear'"; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  if ( $FFmonth!='all' )
  {
    switch( $oDB->type )
    {
    case 'mysql': $strWhere .= " AND MONTH(postdate)=$FFmonth"; break;
    case 'mssql': $strWhere .= " AND DATEPART(Mm,postdate)=$FFmonth"; break;
    case 'pg':    $strWhere .= " AND EXTRACT(month FROM postdate)=$FFmonth"; break;
    case 'ibase': $strWhere .= " AND EXTRACT(MONTH FROM postdate)=$FFmonth"; break;
    case 'sqlite':$strWhere .= " AND SUBSTR(postdate,5,2)='".substr(($FFmonth)+100,1)."'"; break;
    case 'access':$strWhere .= " AND MONTH(postdate)=$FFmonth"; break;
    case 'db2':   $strWhere .= " AND MONTH(postdate)=$FFmonth"; break;
    case 'ifx':   $strWhere .= " AND postdate MONTH TO MONTH = $FFmonth"; break;
    case 'oci':   $strWhere .= " AND SUBSTR(postdate,5,2)='".substr(($FFmonth)+100,1)."'"; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  if ( !empty($FFip) ) $strWhere .= " AND ip='$FFip'";
  if ( $FFaction=='Unhide' ) $strWhere .= " AND visible='N'";  
  
  $oDB->Query("SELECT count(id) as countid FROM ".TABMESSAGE." WHERE $strWhere");
  $row = $oDB->Getrow();
  $countid = $row['countid'];

  // EXECUTE
  if ( $row['countid']>0 )
  {
    if ( $FFaction=='Export' || $FFaction=='Hide' || $FFaction=='Unhide' || $FFaction=='Delete' )
    {
      include('qtg_p_header.php');
      echo '<a id="exiturl" href="qtg_adm_medit_exe.php?y=',$FFyear,'&amp;m=',$FFmonth,'&amp;ip=',$FFip,'&amp;a=',$FFaction,'&amp;n=',$row['countid'],'">Execute action ',$FFaction,'...</a>';
      echo '
      <script type="text/javascript">
      <!--
      setTimeout(\'window.location=document.getElementById("exiturl").href\',0);
      -->
      </script>
      ';
      include('qtg_p_footer.php');
      exit;
    }

  }
  else
  {
    $strInfo = $L['E_no_selection'];
    if ( $FFaction=='Unhide' ) $strInfo = '[0 hidden message]... '.$L['E_no_selection'];
  }
}

// --------
// HTML START
// --------

include('qtg_p_header.php');
include('qtg_adm_menu.php');

echo '
<!-- content -->
<h1>',$L['Multiple_edits'],'</h1>
';

// first year
switch ($oDB->type)
{
case 'sqlite':$strQ = 'SELECT MIN(postdate) as firstdate FROM '.TABMESSAGE.' WHERE postdate<>"0"'; break;
case 'oci':   $strQ = 'SELECT MIN(postdate) as firstdate FROM '.TABMESSAGE.' WHERE postdate<>"0"'; break;
default:      $strQ = 'SELECT MIN(postdate) as firstdate FROM '.TABMESSAGE; break;
}
$oDB->Query($strQ);
$row = $oDB->Getrow();
$firstyear = date('Y',strtotime($row['firstdate']));

echo '
<form method="post" action="qtg_adm_medit.php">
<table class="tab_reply">
<tr class="tr_reply">
<td class="td_reply">
<p class="p_form">',$L['Messages_posted_in'],'&nbsp;
<select name="FFyear">';
for ($iYear=$firstyear;$iYear<=date('Y');$iYear++)
{
echo '<option value="',$iYear,'"/>',$iYear,'</option>';
}
echo '</select>
<br/><br/>',$L['Month'],'&nbsp;<select name="FFmonth"><option value="all">',$L['All'],'</option>',QTastags($L['dateMMM']),'</select>
<br/><br/>',$L['From_IP'],'&nbsp;<input type="text" name="FFip" size="16" maxlength="24"/>
<br/><span class="small">',$L['HFrom_IP'],'</span><br/></p>
<hr>
<p class="p_form">&nbsp;',$L['Action'],' <select name="FFaction">
<option value="Hide">',$L['Hide'],'</option>
<option value="Unhide">',$L['Unhide'],'</option>
<option value="Delete">',$L['Delete'],'</option>
<option value="Export">',$L['Export'],'</option>
</select>&nbsp;
<input type="submit" name="ok" value="',$L['Next'],' &gt;"/>&nbsp;<br/>
</p>
</td>
</table>
</form>
';

// --------
// HTML END
// --------

include('qtg_p_footer.php');

?>