<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
$pg_name='';

// CHECK LOGIN

if ( !isset($_SESSION['qtgAuth']) ) header('Location: login.php');
if ( $_SESSION['qtgAuth']!='yes' ) header('Location: login.php');

require_once('bin/qtg_init.php');
include($qtg_language.'/qtg_lang_adm.php');
$qtg_skin='admin';

// CHECK ARGUMENTS

if ( !isset($_GET['y']) ) die ('Missing argument [y]');
if ( !isset($_GET['m']) ) die ('Missing argument [m]');
if ( !isset($_GET['ip']) ) die ('Missing argument [ip]');
if ( !isset($_GET['n']) ) die ('Missing argument [n]');

// READ ARGUMENTS (protection against injection)

$y = substr($_GET['y'],0,4);
$m = substr($_GET['m'],0,3);
$ip= strip_tags(substr($_GET['ip'],0,30));
$n = substr($_GET['n'],0,4);
$bHidden = true;
$bBbc = true;
$bSmile = true;
if ( isset($_GET['f']) ) { $f=substr($_GET['f'],0,3); } else { $f='txt'; }
if ( isset($_GET['h']) ) { if ( $_GET['h']=='N' ) $bHidden=false; }
if ( isset($_GET['b']) ) { if ( $_GET['b']=='N' ) $bBbc=false; }
if ( isset($_GET['s']) ) { if ( $_GET['s']=='N' ) $bSmile=false; }

// --------
// SUBMITTED
// --------

if ( isset($_GET['export']) || isset($_GET['delete']) || isset($_GET['hide']) || isset($_GET['unhide']) )
{  
  $strWhere = 'id >= 0';
  if ( $y!='all' )
  {
    switch( $oDB->type )
    {
    case 'mysql': $strWhere = "YEAR(postdate)=$y"; break;
    case 'mssql': $strWhere = "DATEPART(Yy,postdate)=$y"; break;
    case 'pg':    $strWhere = "EXTRACT(year FROM postdate)=$y"; break;
    case 'ibase': $strWhere = "EXTRACT(YEAR FROM postdate)=$y"; break;
    case 'sqlite':$strWhere = "SUBSTR(postdate,1,4)='$y'"; break;
    case 'access':$strWhere = "YEAR(postdate)=$y"; break;
    case 'db2':   $strWhere = "YEAR(postdate)=$y"; break;
    case 'ifx':   $strWhere = "postdate YEAR TO YEAR = $y"; break;
    case 'oci':   $strWhere = "SUBSTR(postdate,1,4)='$y'"; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  if ( $m!='all' )
  {
    switch( $oDB->type )
    {
    case 'mysql': $strWhere .= " AND MONTH(postdate)=$m"; break;
    case 'mssql': $strWhere .= " AND DATEPART(Mm,postdate)=$m"; break;
    case 'pg':    $strWhere .= " AND EXTRACT(month FROM postdate)=$m"; break;
    case 'ibase': $strWhere .= " AND EXTRACT(MONTH FROM postdate)=$m"; break;
    case 'sqlite':$strWhere .= " AND SUBSTR(postdate,5,2)='".substr(($m)+100,1)."'"; break;
    case 'access':$strWhere .= " AND MONTH(postdate)=$m"; break;
    case 'db2':   $strWhere .= " AND MONTH(postdate)=$m"; break;
    case 'ifx':   $strWhere .= " AND postdate MONTH TO MONTH = $m"; break;
    case 'oci':   $strWhere .= " AND SUBSTR(postdate,5,2)='".substr(($m)+100,1)."'"; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  if ( !empty($ip) )
  {
    $strWhere .= " AND ip='$ip'";
  }
  
  if ( isset($_GET['delete']) || isset($_GET['hide']) || isset($_GET['unhide']) )
  {
    include('qtg_p_header.php');
    include('qtg_adm_menu.php');
    if ( isset($_GET['hide']) )   $oDB->Query('UPDATE '.TABMESSAGE." SET visible='N' WHERE ".$strWhere);
    if ( isset($_GET['unhide']) ) $oDB->Query('UPDATE '.TABMESSAGE." SET visible='Y' WHERE ".$strWhere);
    if ( isset($_GET['delete']) ) $oDB->Query('DELETE FROM '.TABMESSAGE.' WHERE '.$strWhere);
    echo '<h1>',$L['Update_successfull'],'</h1>';
    echo '
    <p><a id="exiturl" href="qtg_adm_msg.php">',$L['Messages'],'</a></p>
    <script type="text/javascript">
    <!--
    setTimeout(\'window.location=document.getElementById("exiturl").href\',1000);
    -->
    </script>
    ';
    include('qtg_p_footer.php');
    exit;
  }
  
  if ( isset($_GET['export']) )
  {
    if ( $oDB->type=='ibase' ) 
    {
    $oDB->Query('SELECT id,name,userage,useremail,postfrom,postdate,textmsg FROM '.TABMESSAGE.' WHERE '.$strWhere.($bHidden ? '' : ' AND visible="Y"'));
    }
    else
    {
    $oDB->Query('SELECT id,name,userage,useremail,postfrom,postdate,message FROM '.TABMESSAGE.' WHERE '.$strWhere.($bHidden ? '' : ' AND visible="Y"'));
    }
    
    if (!headers_sent())
    {
    header('Content-Type: text/plain; charset='.$L['Html_charset']);
    header('Content-Disposition: attachment; filename="qt_'.date('Ymd').'.'.$f);
    }
    // attention firebird exception
    if ( $oDB->type=='ibase' ) { $strField = 'textmsg'; } else { $strField = 'message'; } 

    if ( $oDB->type=='sqlite' || $oDB->type=='oci' )
    {
      $arrDateFormat = array('n','datetime','j-n-Y',$qtg_formattime);
    }
    else
    {
      $arrDateFormat = array('s','datetime','j-n-Y',$qtg_formattime);
    }

    while ( $row = $oDB->Getrow() )
    {    
      $msg = new cPost($row,$oDB);
      
      if ( $bBbc || $bSmile )
      {
        if ( strstr($msg->message,'[') )
        {
          if ( $bBbc )   $msg->message=QTbbc($msg->message,'deepdrop',false);
          if ( $bSmile ) $msg->message=ereg_replace('\[(\:|\;).\]','',$msg->message);
        }
        if ( strstr($msg->name,'[') )
        {
          if ( $bBbc )   $msg->name=QTbbc($msg->name,'deepdrop',false);
          if ( $bSmile ) $msg->name=ereg_replace('\[(\:|\;).\]','',$msg->name);
        }
      }
      if ( $f=='txt' )
      {
        $msg->message = QThtml2text($msg->message);
        $msg->name = QThtml2text($msg->name);
        echo $msg->name;
        if ( !empty($msg->userage) )   echo " ($msg->userage)";
        if ( !empty($msg->useremail) ) echo ", $msg->useremail";
        if ( !empty($msg->postfrom) )  echo ", $msg->postfrom";
        if ( !empty($msg->postdate) )  echo " ".QTdate($msg->postdate,$arrDateFormat);
        echo "\r\n\r\n".$msg->message;
        echo "\r\n___________________________\r\n\r\n";
      }
      if ( $f=='csv' )
      {
        $msg->message = '"'.QThtml2text($msg->message,"'").'"';
        $msg->name = '"'.QThtml2text($msg->name,"'").'"';
        $msg->message = str_replace("\r\n","\n",$msg->message);
        $msg->message = str_replace("\n","\\n",$msg->message);
        echo $msg->id.';'.$msg->name.';';
        if ( !empty($msg->userage) )   { echo $msg->userage.';'; } else { echo '0;'; }
        if ( !empty($msg->useremail) ) { echo '"'.$msg->useremail.'";'; } else { echo '"";'; }
        if ( !empty($msg->postfrom) )  { echo '"'.$msg->postfrom.'";'; } else { echo '"";'; }
        if ( !empty($msg->postdate) )  echo '"'.QTdate($msg->postdate,$arrDateFormat).'";';
        echo $msg->message."\r\n";
      }
    }
    exit;  
  }
}

// --------
// HTML START
// --------

include('qtg_p_header.php');
include('qtg_adm_menu.php');

if ( !isset($_GET['a']) ) die ('Missing argument [a]');

if ( $_GET['a']=='Export' )
{
echo '<h1>',$L['Export'],' ',$n,' ',$L['Messages'],'</h1>',N;
echo '<p><form method="get" action="qtg_adm_medit_exe.php">',N;
echo $L['Format'],'&nbsp;<select name="f">',N;
echo '<option value="txt">Text</option>',N;
echo '<option value="csv">CSV</option>',N;
echo '</select>&nbsp;&nbsp;',N;
echo $L['Include_hidden'],'&nbsp;<select name="h">',N;
echo '<option value="Y"',($bHidden ? QSEL : ''),'>',$L['Yes'],'</option>',N;
echo '<option value="N"',(!$bHidden ? QSEL : ''),'>',$L['No'],'</option>',N;
echo '</select>&nbsp;&nbsp;',N;
echo $L['Drop_bbc'],'&nbsp;<select name="b">',N;
echo '<option value="Y"',($bBbc ? QSEL : ''),'>',$L['Yes'],'</option>',N;
echo '<option value="N"',(!$bBbc ? QSEL : ''),'>',$L['No'],'</option>',N;
echo '</select>&nbsp;&nbsp;',N;
echo $L['Drop_smile'],'&nbsp;<select name="s">',N;
echo '<option value="Y"',($bSmile ? QSEL : ''),'>',$L['Yes'],'</option>',N;
echo '<option value="N"',(!$bSmile ? QSEL : ''),'>',$L['No'],'</option>',N;
echo '</select>&nbsp;&nbsp;',N;
echo '<input type="hidden" name="y" value="',$y,'"/>',N;
echo '<input type="hidden" name="m" value="',$m,'"/>',N;
echo '<input type="hidden" name="ip" value="',$ip,'"/>',N;
echo '<input type="hidden" name="n" value="',$n,'"/>',N;
echo '<input type="submit" name="export" value="',$L['Ok'],'"/>',N;
echo '</form></p>',N;
}
if ( $_GET['a']=='Hide' )
{
echo '<h1>',$L['Hide'],' ',$n,' ',$L['Messages'],'</h1>',N;
echo '<p><form method="get" action="qtg_adm_medit_exe.php">',N;
echo '<input type="hidden" name="y" value="',$y,'"/>',N;
echo '<input type="hidden" name="m" value="',$m,'"/>',N;
echo '<input type="hidden" name="ip" value="',$ip,'"/>',N;
echo '<input type="hidden" name="n" value="',$n,'"/>',N;
echo '<input type="submit" name="hide" value="',$L['Hide'],' !"/>',N;
echo '</form></p>',N;
}
if ( $_GET['a']=='Unhide' )
{
echo '<h1>',$L['Unhide'],' ',$n,' ',$L['Messages'],'</h1>',N;
echo '<p><form method="get" action="qtg_adm_medit_exe.php">',N;
echo '<input type="hidden" name="y" value="',$y,'"/>',N;
echo '<input type="hidden" name="m" value="',$m,'"/>',N;
echo '<input type="hidden" name="ip" value="',$ip,'"/>',N;
echo '<input type="hidden" name="n" value="',$n,'"/>',N;
echo '<input type="submit" name="unhide" value="',$L['Unhide'],' !"/>',N;
echo '</form></p>',N;
}
if ( $_GET['a']=='Delete' )
{
echo '<h1>',$L['Delete'],' ',$n,' ',$L['Messages'],'</h1>',N;
echo '<p><form method="get" action="qtg_adm_medit_exe.php">',N;
echo '<input type="hidden" name="y" value="',$y,'"/>',N;
echo '<input type="hidden" name="m" value="',$m,'"/>',N;
echo '<input type="hidden" name="ip" value="',$ip,'"/>',N;
echo '<input type="hidden" name="n" value="',$n,'"/>',N;
echo '<input type="submit" name="delete" value="',$L['Delete'],' !"/>',N;
echo '</form></p>',N;
}

// --------
// HTML END
// --------

include('qtg_p_footer.php');

?>