<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtg_init.php');

// INI

$FFid   = '';
$FFname = '';
$FFage  = '';
$FFfrom = '';
$FFmail = '';
$FFmsg  = '';
$FFcode = '';
$bCol = $qtg_column_default;

if ( isset($_GET['v']) ) $_SESSION['qtgview']=$_GET['v'];
if ( isset($_GET['page']) ) { $limit = ($_GET['page']-1)*$qtg_page_size; $currentpage=$_GET['page']; } else { $limit=0; $currentpage=1; }
if ( isset($_SESSION['qtgview']) ) $bCol = ($_SESSION['qtgview']=='col');

// COUNT TOPICS

$oDB->Query("SELECT count(id) as countid FROM ".TABMESSAGE." WHERE visible='Y'");
$row = $oDB->Getrow();
$intMessages = $row['countid'];

// --------
// HTML START
// --------

include('qtg_p_header.php');
echo '
<div id="index">
';

// TIPS WELCOME

echo '
<!-- tips -->
<div class="div_tips">
<table class="tab_tips" cellspacing="0" cellpadding="0">
<tr class="tr_tips">
<td class="td_tips_left"><span class="text_tips">',nl2br($qtg_welcome),'</span></td>
<td class="td_tips_right">';
if ( $qtg_home<>'' ) echo '&nbsp;<a href="',$qtg_home,'" onmouseout="changeimg(\'home\',\'',$qtg_skin,'/ico_home.gif\')" onmouseover="changeimg(\'home\',\'',$qtg_skin,'/ico_home_on.gif\')"><img id="home" src="',$qtg_skin,'/ico_home.gif" alt="Home" title="',$L['Home'],'" style="border-width:0px;"/></a>';
if ( $qtg_column_change ) echo '&nbsp;<a href="qtg_index.php?v=std" onmouseout="changeimg(\'std\',\'',$qtg_skin,'/ico_view_std.gif\')" onmouseover="changeimg(\'std\',\'',$qtg_skin,'/ico_view_std_on.gif\')"><img id="std" src="',$qtg_skin,'/ico_view_std.gif" alt="view" title="',$L['View_std'],'" style="border-width:0px;"/></a>&nbsp;<a href="qtg_index.php?v=col" onmouseout="changeimg(\'col\',\'',$qtg_skin,'/ico_view_col.gif\')" onmouseover="changeimg(\'col\',\'',$qtg_skin,'/ico_view_col_on.gif\')"><img id="col" src="',$qtg_skin,'/ico_view_col.gif" alt="view" title="',$L['View_col'],'" style="border-width:0px;"/></a>';
echo '</td>
</tr>
</table>
</div>
';

if ( $qtg_actif )
{
  if ( $qtg_separateform )
  {
    echo '<div class="div_sign"><a class="linkbutton" href="qtg_msg_add.php">',$L['Sign'],'</a></div>';
  }
}

// PAGER

$pager = MakePager('qtg_index.php?f=1',$intMessages,$qtg_page_size,$currentpage,$L);

if ( $pager!='' )
{
echo '
<!-- pager -->
<table class="tab_pager" cellspacing="0" cellpadding="0">
<tr class="tr_pager_top">
<td class="td_pager_top">',$L['Page'],$pager,'</td>
</tr>
</table>
';
}

// QUERY
$strState = 'id,name,userage,useremail,postfrom,postdate,message FROM '.TABMESSAGE." WHERE visible='Y'";
  if ( $oDB->type=='ibase' ) $strState = 'id,name,userage,useremail,postfrom,postdate,textmsg FROM '.TABMESSAGE." WHERE visible='Y'";
$strQuery = LimitSQL($oDB->type,$strState,'postdate DESC',$limit,$qtg_page_size,$intMessages);
$oDB->Query($strQuery);

// DISPLAY

if ( $bCol )
{
echo '
<!-- 2 columns start -->
<table class="tab_layout" cellspacing="0">
<colgroup span="2"><col style="width:50%"></col><col style="width:50%"></col></colgroup>
<tr class="tr_layout"><td class="td_layout">
<!-- 2 columns start -->
';
}

$iCol = 1;
while ( $row=$oDB->Getrow() )
{
  $msg = new cPost($row,$oDB);
  $bbc = array($qtg_bbc_bold,$qtg_bbc_italic,$qtg_bbc_underline,$qtg_bbc_url,$qtg_bbc_smiley);
  // ------------
  include('qtg_msg_msg.php'); 
  // ------------

  if ( $_SERVER['REMOTE_ADDR']==$oDB->ip ) {
  if ( isset($_SESSION['qtg_beginedit']) && isset($_SESSION['qtg_endedit']) ) {
  if ( strtotime($msg->postdate) >= $_SESSION['qtg_beginedit'] ) {
  if ( time()+0 < $_SESSION['qtg_endedit'] )
  {
    echo '&nbsp;<a href="qtg_msg_edit.php?id=',$msg->id,'&amp;ip=',$oDB->ip,'">[',$L['Edit_my_message'],']</a>&nbsp;<a href="qtg_msg_del.php?id=',$msg->id,'&amp;ip=',$msg->ip,'">[',$L['Delete_my_message'],']</a><br/><br/>';
  }
  }}}

  if ( $bCol )
  {
    if ( $iCol==1 ) echo '</td><td class="td_layout">',N;
    if ( $iCol==2 ) echo '</td></tr><tr class="tr_layout"><td class="td_layout">',N;
    $iCol++;
    if ( $iCol>2 ) $iCol=1;
  }
}

// end column layout
$iCol = 1;
if ( $bCol ) 
{
echo '
<!-- 2 columns end -->
</td>
</tr>
</table>
<!-- 2 columns end -->
';
}

if ( $pager!='' )
{
echo '
<!-- pager -->
<table class="tab_pager" cellspacing="0" cellpadding="0">
<tr class="tr_pager_bot">
<td class="td_pager_bot">',$L['Page'],$pager,'</td>
</tr>
</table>
';
}

if ($qtg_checkip)
{
  if ( strstr($qtg_checkip_list,($_SERVER['REMOTE_ADDR'])) )
  {
    echo '<p style="text-align:center">',$L['E_ip_denied'],'</p>';
    $qtg_actif=false;
  }
}

if ($qtg_actif)
{
  if ($qtg_separateform)
  {
    if ( $intMessages>2 ) echo '<div class="div_sign"><a class="linkbutton" href="qtg_msg_add.php">',$L['Sign'],'</a></div>';
  }
  else
  {
    $formaction = 'qtg_msg_add.php';
    include('qtg_form_msg.php');
  }
}
else
{
  echo '<p style="text-align:center">',nl2br($qtg_stop_message),'</p>';
}

// --------
// HTML END
// --------

echo '</div>';
include('qtg_p_footer.php');

?>