<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20080227
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtg_init.php');

// SECURITY

if ( $qtg_checkip ) {
if ( !empty($qtg_checkip_list) ) {
  if ( strstr($qtg_checkip_list,($_SERVER['REMOTE_ADDR'])) ) die($L['E_ip_denied']);
}}

// INI

$FFid   = '';
$FFname = '';
$FFage  = '';
$FFfrom = '';
$FFmail = '';
$FFmsg  = '';
$FFcode = '';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // first control (limit size to prevent injection)
  if ( isset($_POST['FFcode']) ) $FFcode = substr(trim($_POST['FFcode']),0,4);
  if ( isset($_POST['FFage'])  ) $FFage  = substr(trim($_POST['FFage']),0,3); 
  if ( isset($_POST['FFfrom']) ) $FFfrom = substr(strip_tags(trim($_POST['FFfrom'])),0,50);
  if ( isset($_POST['FFmail']) ) $FFmail = substr(strip_tags(trim($_POST['FFmail'])),0,50);
  if ( isset($_POST['FFname']) ) $FFname = substr(strip_tags(trim($_POST['FFname'])),0,50);
  if ( isset($_POST['FFmsg']) )  $FFmsg  = strip_tags(trim($_POST['FFmsg']));
  // second control (reformat if required)  
  if ( isset($_POST['FFname']) && get_magic_quotes_gpc() ) $FFname = stripslashes($FFname);
  if ( isset($_POST['FFmsg']) && get_magic_quotes_gpc() ) $FFmsg = stripslashes($FFmsg);
  if ( isset($_POST['FFfrom']) && get_magic_quotes_gpc() ) $FFfrom = stripslashes($FFfrom);
  if ( isset($_POST['FFmail']) && get_magic_quotes_gpc() ) $FFmail = stripslashes($FFmail);
  // third control (mandatory fields)
  if ( empty($FFname) ) $qtg_error = $L['Name'].S.$L['E_invalid'];
  if ( empty($FFmsg) )  $qtg_error = $L['Message'].S.$L['E_invalid'];

  // Advanced controls (check each value and checks to prevent injection)

  // check code
  if ( empty($qtg_error) && $qtg_antispam!=0 )
  {
    if ( !QTisbetween(intval($FFcode),0,9999) ) $qtg_error = $L['E_code'];
    if ( $_SESSION['textcolor'] != sha1($FFcode) ) $qtg_error = $L['E_code'];
  }

  // check optional fields
  if ( empty($qtg_error) && $FFage!='' )  { if ( !QTisbetween(intval($FFage),1,120) ) $qtg_error = $L['Age'].S.$L['E_invalid']; }
  if ( empty($qtg_error) && $FFmail!='' ) { if ( !QTismail($FFmail) ) $qtg_error = $L['Email'].S.$L['E_invalid']; }
    
  // multipost check
  if ( empty($qtg_error) )
  {
    if ( TooMuch($oDB,$qtg_max_day) && $_POST['FFcode']!='adm' ) $qtg_error = $L['E_maxday'];
  }

  // set class and check message size
  if ( empty($qtg_error) )
  {
    $msg = new cPost();
    $msg->SetPost($FFname,$FFmsg,$FFage,$FFmail,$FFfrom);
    if ( !$msg->CheckMessage($qtg_max_size,2,2) ) $qtg_error = $L['E_size'];
  }

  // flood check
  if ( empty($qtg_error) )
  {
    if ( TooEarly() ) $qtg_error = $L['E_wait'];
  }

  // check message meaning
  if ( empty($qtg_error) && $qtg_meaning )
  {
    if ( !$msg->CheckMeaning() ) $qtg_error = $L['E_language'];
  }
    
  // check message wording
  if ( empty($qtg_error) && $qtg_checkword )
  {
    include($qtg_language.'/qtg_lang_goodbad.php');
    if ( !$msg->CheckWording($voc) ) $qtg_error = $L['E_language'];
  }

  // save value
  if ( empty($qtg_error) )
  { 
    $_SESSION['qtg_nextpost'] = time()+$qtg_max_sec;
    $_SESSION['qtg_beginedit'] = time()-1;
    $_SESSION['qtg_endedit'] = time()+300;
    $msg->id = QTnextid($oDB,TABMESSAGE);
    $msg->SqlQuote();
    switch($oDB->type)
    {
    case 'mssql': $oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,message,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,GETDATE(),$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    case 'ibase': $oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,textmsg,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,CURRENT_TIMESTAMP,$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    case 'sqlite':$oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,message,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,'".date('YmdHis')."',$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    case 'db2':   $oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,message,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,CURRENT TIMESTAMP,$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    case 'ifx':   $oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,message,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,CURRENT YEAR TO SECOND,$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    case 'oci':   $oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,message,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,'".date('YmdHis')."',$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    default:      $oDB->Query('INSERT INTO '.TABMESSAGE." (id,name,message,postdate,userage,useremail,postfrom,ip,x,y,z,visible) VALUES ($msg->id,$msg->name,$msg->message,NOW(),$msg->userage,$msg->useremail,$msg->postfrom,'$oDB->ip',0,0,0,'Y')"); break;
    }

    // notify
    if ( isset($qtg_notify) )
    {
      if ( !empty($qtg_notify) ) mail($qtg_notify,"New message in $qtg_title",$msg->message);
    }
    
    // exit  
    include('qtg_p_header.php');
    echo '
    <h2>',$L['Message_send'],'</h2><p>&nbsp;</p>',$qtg_back,'
    <script type="text/javascript">
    <!--
    setTimeout(\'window.location=document.getElementById("exiturl").href\',3000);
    -->
    </script>
    ';
    include('qtg_p_footer.php');
    exit;
  }
}

// --------
// HTML START
// --------

include('qtg_p_header.php');
echo '
<div id="msg_add">
';

echo "<h2>{$L['Sign']}</h2>
<br/>
\n";

if ( $qtg_actif )
{
  if ( !empty($qtg_error) ) echo '<p class="error" style="text-align:center">',$qtg_error,'</p>';
  $formaction = 'qtg_msg_add.php';
  include('qtg_form_msg.php');
}
else
{
  echo '<p style="text-align:center">',$qtg_stop_message,'</p>';
}

// --------
// HTML END
// --------

echo $qtg_back;
echo '</div>';
include('qtg_p_footer.php');

?>